return {
    "aznhe21/actions-preview.nvim",
    config = function()
        -- Configure actions-preview.nvim
        require("actions-preview").setup({
            -- Floating window configuration (optional)
            max_width = 80, -- Max width of the preview window
            max_height = 12, -- Max height of the preview window
            min_width = 20, -- Minimum width for the preview window
            min_height = 4, -- Minimum height for the preview window

            -- Keymaps (optional)
            keymaps = {
                -- Trigger code action preview with a keybinding (example using <leader>a)
                { "n", "<leader>ca", vim.lsp.buf.code_action },
            },
        })
    end,
}
